function f2 = findIntersection(F_List, rmse, RMSE_THRESHOLD)


thres = 10^(RMSE_THRESHOLD/20);

len = length(F_List);

if rmse(1) < thres
    found = 0;
    f_old = F_List(1);
    r_old = rmse(1);
    for i=2:len
        if ~found
            r = rmse(i);
            f = F_List(i);
            if r>thres
                found=1;
                %fprintf('Found %6.4f %4.2f at %i \n', r, f, i);
                f_new = f;
                r_new = r;
            else
                f_old = f;
                r_old = r;
            end
        end
    end
    
    if found
        %fprintf('F: %4.2f %4.2f \t', f_old, f_new);
        %fprintf('RMSE %6.4f %6.4f \t', r_old, r_new);
        df = f_new - f_old;
        dr = 20*log10(r_new/r_old);
        r2 = RMSE_THRESHOLD -20*log10(r_old);
        fak = r2/dr;
        f2 = f_old + fak*df;
        %fprintf('Intersect at f=%6.4f with r2=%6.4f, fak=%6.4f\n', f2,  r2, fak);
        %plot([f_old f_new], [r_old r_new], 'k');
        %plot([f_old f2 f2], [r_old r_old r_old+fak*dr], 'k');
    else
        f2 = NaN;
    end
else
    fprintf('RMSE[1] too large: %5.3f \n', rmse(1));
    f2 = NaN;
end


